Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004183Zandronum[All Projects] Bugpublic2024-01-16 02:362024-02-18 22:05
ReporterRu5tK1ng 
Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version3.1 
Target Version3.2Fixed in Version 
Summary0004183: Share Key Fixes
DescriptionThis patch resolves a few issues already reported involving sv_sharekeys:

1. Dehacked Keys weren't syncing properly such as in Valiant (2441).
2. Puzzle Items weren't being saved and and synced to players (1911).
3. Saved key list would clear out when traversing hubs (2496).
4. Survival_nomapresetondeath would ignore coop_losekeys & loseinventory (3137).
5. Dead spectators wouldn't sync keys when being revived through ACS (4189).
Attached Filesdiff file icon sharekeyfixes.diff [^] (6,979 bytes) 2024-01-16 03:12 [Show Content]
diff file icon sharekeyfixes2.diff [^] (6,965 bytes) 2024-01-19 06:58 [Show Content]
diff file icon sharekeyfixes3.diff [^] (9,129 bytes) 2024-01-25 21:37 [Show Content]

- Relationships
parent of 0001911new Make servers remember what Puzzle/Quest items have been collected and distribute them to all players upon join. 
parent of 0002441confirmedDusk Keys modified by DEHACKED cannot be shared online. 
parent of 0002496acknowledgedDusk sv_sharekeys does not work with hubs 
parent of 0003137new sv_survival_nomapresetondeath 1 and sv_sharekeys 1 and sv_coop_losekeys 1 restore keys on lives restoration 
parent of 0004189new Reviving dead spectators won't give keys that have already been collected back 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0022994)
Ru5tK1ng (updater)
2024-01-19 07:00

Updated version 2 with a minor change.
User avatar (0023008)
Ru5tK1ng (updater)
2024-01-25 21:37

I have uploaded version 3 that resolves 4189 as well.
User avatar (0023051)
Ru5tK1ng (updater)
2024-02-01 23:01

Merge request:'https://foss.heptapod.net/zandronum/zandronum-stable/-/merge_requests/19 [^]'
User avatar (0023079)
Ru5tK1ng (updater)
2024-02-18 22:02

This was committed to the repo.'https://foss.heptapod.net/zandronum/zandronum-stable/-/commit/d107d5a6b1cf9b70ffa6bac78cf574fab2ed33a8 [^]'

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2024-01-16 02:36 Ru5tK1ng New Issue
2024-01-16 02:37 Ru5tK1ng Relationship added parent of 0001911
2024-01-16 02:37 Ru5tK1ng Relationship added parent of 0002441
2024-01-16 02:37 Ru5tK1ng Relationship added parent of 0002496
2024-01-16 02:37 Ru5tK1ng Relationship added parent of 0003137
2024-01-16 03:12 Ru5tK1ng File Added: sharekeyfixes.diff
2024-01-16 03:12 Ru5tK1ng Status new => needs review
2024-01-16 03:13 Ru5tK1ng View Status private => public
2024-01-19 06:58 Ru5tK1ng Summary [Patch]Share Key Fixes => [Patch] Share Key Fixes
2024-01-19 06:58 Ru5tK1ng File Added: sharekeyfixes2.diff
2024-01-19 07:00 Ru5tK1ng Note Added: 0022994
2024-01-25 21:34 Ru5tK1ng Relationship added parent of 0004189
2024-01-25 21:37 Ru5tK1ng File Added: sharekeyfixes3.diff
2024-01-25 21:37 Ru5tK1ng Note Added: 0023008
2024-01-25 22:00 Ru5tK1ng Description Updated View Revisions
2024-02-01 23:01 Ru5tK1ng Note Added: 0023051
2024-02-18 22:02 Ru5tK1ng Note Added: 0023079
2024-02-18 22:02 Ru5tK1ng Status needs review => needs testing
2024-02-18 22:05 Ru5tK1ng Summary [Patch] Share Key Fixes => Share Key Fixes






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2024 MantisBT Team
Powered by Mantis Bugtracker